std::__detail::_Compiler< _TraitsT >(3)

NAME
std::__detail::_Compiler< _TraitsT > -

SYNOPSIS

  Public Types
typedef _TraitsT::char_type _CharT
typedef
regex_constants::syntax_option_type _FlagT"
typedef const _CharT * _IterT
typedef _NFA< _TraitsT > _RegexT

  Public Member Functions
_Compiler (_IterT __b, _IterT __e, const _TraitsT &__traits, _FlagT __flags)
std::shared_ptr< _RegexT > _M_get_nfa ()

Detailed Description

  template<typename _TraitsT>class std::__detail::_Compiler< _TraitsT >
Builds an NFA from an input iterator interval. The _TraitsT type should fulfill requirements [28.3].

Definition at line 51 of file regex_compiler.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.